package nianioTest.nianio.cmdsfact;

import ocean.common.Err;
import nianio.SelectFileCmd;
import nianio.complib.controls.ButtonEvent;
import nianio.complib.controls.TextBoxEvent;
import nianio.complib.filechooser.FileChooserEvent;

public class SelectFileCmdFact {

	public static SelectFileCmd create(ButtonEvent cmd) {
		if (cmd.isFired()) {
			return SelectFileCmd.createSelectFromFileChooser();
		} else
			throw Err.errM(cmd);
	}

	public static SelectFileCmd create(FileChooserEvent event) {
		if (event.isFileSelected()) {
			return SelectFileCmd.createFileSelected(event.asFileSelected());
		} else
			throw Err.errM(event);
	}

	public static SelectFileCmd tryCreate(TextBoxEvent cmd) {
		if (cmd.isTextChanged()) {
			return SelectFileCmd.createSetFileName(cmd.asTextChanged());
		} else if (cmd.isKeyPressed() || cmd.isEnterPressed()) {
			return null;
		} else
			throw Err.errM(cmd);
	}

}
