package nianioTest.complib;

import nianio.complib.CompLibCommand;
import nianio.complib.CompLibIdEvent;
import ocean.common.AwtQueue;
import ocean.common.Proc;

public class CompLibPlugin {
	private final CompLibInvoker worker;

	private CompLibPlugin(CompLibIdEvent.MMIntf invoker) {
		this.worker = new CompLibInvoker(invoker);
	}

	public static CompLibPlugin create(CompLibIdEvent.MMIntf invoker) {
		return new CompLibPlugin(invoker);
	}

	public void post(final CompLibCommand cmd) {
		AwtQueue.post(new Proc() {
			public void run() {
				worker.invoke(cmd);
			}
		});
	}

}
